# Class Jmol

java.lang.Object
org.jmol.util.GenericApplet
org.jmol.appletjs.Jmol

All Implemented Interfaces:
  `JSInterface, JmolAppletInterface, JmolCallbackListener, JmolStatusListener, JmolSyncInterface`

public class Jmol extends GenericApplet
Java2Script rendition of Jmol using HTML5-only or WebGL-based graphics

Author:
  Bob Hanson hansonr@stolaf.edu, Takanori Nakane (WebGL), with the assistance of Jhou Renjian (SwingJS) This version of Jmol predates SwingJS and is not compatible with general SwingJS applications. See org.jmol.applet.Jmol for the SwingJS version.

## Field Summary

### Fields inherited from class GenericApplet

`appletObject, callbacks, codeBase, documentBase, doTranslate, fullName, gRight, haveDocumentAccess, haveNotifiedError, htmlName, htParams, htRegistry, isJS, isSigned, isStereoSlave, language, mayScript, statusForm, statusText, statusTextarea, viewer, vwrOptions`

## Constructor Summary

Constructors
Constructor
Description
`Jmol(Map<String,Object> vwrOptions)`

## Method Summary

### Methods inherited from class GenericApplet

`cacheFileByName, cachePut, createImage, destroy, doEval, doSendCallback, doShowDocument, doShowStatus, eval, functionXY, functionXYZ, getAppletInfo, getBooleanValue, getFullName, getGLmolView, getJmolParameter, getJSpecViewProperty, getModelIndexFromId, getProperty, getProperty, getPropertyAsJSON, getPropertyAsJSON, getPropertyAsString, getPropertyAsString, getRegistryInfo, getValue, handleEvent, init, initOptions, loadDOMNode, loadInline, loadInline, loadInline, loadInline, loadInlineArray, loadInlineString, notifyAudioEnded, notifyCallback, notifyEnabled, openFile, openFileAsyncSpecial, openFileAsyncSpecialType, output, processKeyEvent, processMouseEvent, processTwoPointGesture, register, resizeInnerPanel, script, scriptCheck, scriptNoWait, scriptWait, scriptWait, scriptWaitOutput, setCallback, setCallbackFunction, setDisplay, setJSOptions, setScreenDimension, setStatusDragDropped, setStereoGraphics, showUrl, startHoverWatcher, syncScript, update`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jmol

public Jmol(Map<String,Object> vwrOptions)